Bug 245071 - x11-toolkits/blt: build with PIC + minor fixes
Summary: x11-toolkits/blt: build with PIC + minor fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-26 11:44 UTC by Thierry Thomas
Modified: 2020-03-30 12:24 UTC (History)
2 users (show)

See Also:
thierry: maintainer-feedback+


Attachments
build with PIC + minor fixes (1.36 KB, text/plain)
2020-03-26 11:44 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-03-26 11:44:35 UTC
Created attachment 212723 [details]
build with PIC + minor fixes

- Add -fPIC to CFLAGS

- Add USE_XORG=x11

- Set WWW to the new site.
Comment 1 darius 2020-03-29 23:34:59 UTC
Looks good, thanks for the update - please commit it.
I'm surprised it wasn't already building with -fPIC!
Comment 2 Thierry Thomas freebsd_committer 2020-03-30 12:23:47 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-03-30 12:24:33 UTC
A commit references this bug:

Author: thierry
Date: Mon Mar 30 12:23:39 UTC 2020
New revision: 529878
URL: https://svnweb.freebsd.org/changeset/ports/529878

Log:
  - Add -fPIC to CFLAGS

  - Add USE_XORG=x11

  - Set WWW to the new site.

  PR:		245071
  Submitted by:	/me
  Approved by:	maintainer

Changes:
  head/x11-toolkits/blt/Makefile
  head/x11-toolkits/blt/pkg-descr